<!DOCTYPE html>

<html lang="en" data-content_root="../">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>src package &#8212; pandas 2.1.1 documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css?v=fa44fd50" />
    <link rel="stylesheet" type="text/css" href="../_static/alabaster.css?v=233b9934" />
    <script src="../_static/documentation_options.js?v=841abef3"></script>
    <script src="../_static/doctools.js?v=888ff710"></script>
    <script src="../_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
   
  <link rel="stylesheet" href="../_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="src-package">
<h1>src package<a class="headerlink" href="#src-package" title="Link to this heading">¶</a></h1>
<section id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Link to this heading">¶</a></h2>
</section>
<section id="module-src.app">
<span id="src-app-module"></span><h2>src.app module<a class="headerlink" href="#module-src.app" title="Link to this heading">¶</a></h2>
<dl class="py function">
<dt class="sig sig-object py" id="src.app.process_commands">
<span class="sig-prename descclassname"><span class="pre">src.app.</span></span><span class="sig-name descname"><span class="pre">process_commands</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">processors</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/app.html#process_commands"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.app.process_commands" title="Link to this definition">¶</a></dt>
<dd><p>This result callback is invoked with an iterable of all the chained
subcommands.  Each subcommand returns a function that is chained together
to feed one into the other, similar to how a pipe on unix works.</p>
</dd></dl>

</section>
<section id="module-src.common">
<span id="src-common-module"></span><h2>src.common module<a class="headerlink" href="#module-src.common" title="Link to this heading">¶</a></h2>
<dl class="py function">
<dt class="sig sig-object py" id="src.common.generator">
<span class="sig-prename descclassname"><span class="pre">src.common.</span></span><span class="sig-name descname"><span class="pre">generator</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">f</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/common.html#generator"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.common.generator" title="Link to this definition">¶</a></dt>
<dd><p>Creates a generator from a function.</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.common.params_to_dict">
<span class="sig-prename descclassname"><span class="pre">src.common.</span></span><span class="sig-name descname"><span class="pre">params_to_dict</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">arg</span></span><span class="p"><span class="pre">:</span></span><span class="w"> </span><span class="n"><a class="reference external" href="https://docs.python.org/3.10/library/stdtypes.html#str" title="(in Python v3.10)"><span class="pre">str</span></a></span></em><span class="sig-paren">)</span> <span class="sig-return"><span class="sig-return-icon">&#x2192;</span> <span class="sig-return-typehint"><a class="reference external" href="https://docs.python.org/3.10/library/typing.html#typing.Dict" title="(in Python v3.10)"><span class="pre">Dict</span></a></span></span><a class="reference internal" href="../_modules/src/common.html#params_to_dict"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.common.params_to_dict" title="Link to this definition">¶</a></dt>
<dd><p>Parse a string of the form “param1=value1|param2=value2|…” into a dict.</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.common.processor">
<span class="sig-prename descclassname"><span class="pre">src.common.</span></span><span class="sig-name descname"><span class="pre">processor</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">f</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/common.html#processor"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.common.processor" title="Link to this definition">¶</a></dt>
<dd><p>Creates a processor from a function.</p>
</dd></dl>

</section>
<section id="module-src.dataframe">
<span id="src-dataframe-module"></span><h2>src.dataframe module<a class="headerlink" href="#module-src.dataframe" title="Link to this heading">¶</a></h2>
<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.agg">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">agg</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">func</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">axis</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#agg"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.agg" title="Link to this definition">¶</a></dt>
<dd><p>Aggregate using one or more operations over the specified axis.</p>
<p>## Parameters</p>
<p>None</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.astype">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">astype</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">type_</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#astype"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.astype" title="Link to this definition">¶</a></dt>
<dd><p>Cast a pandas object to a specified data type.</p>
<p>## Parameters</p>
<p>None</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.axes">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">axes</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#axes"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.axes" title="Link to this definition">¶</a></dt>
<dd><p>Return a list representing the axes of the DataFrame.</p>
<p>It has the row axis labels and column axis labels as the only members. They
are returned in that order.</p>
<p>## Parameters</p>
<p>None</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.columns">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">columns</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#columns"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.columns" title="Link to this definition">¶</a></dt>
<dd><p>The column labels of the DataFrame.</p>
<p>## Parameters</p>
<p>None</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.convert_dtypes">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">convert_dtypes</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#convert_dtypes"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.convert_dtypes" title="Link to this definition">¶</a></dt>
<dd><p>Convert columns to the best possible dtypes using dtypes supporting pd.NA.</p>
<p>## Parameters</p>
<dl class="simple">
<dt></dt><dd><p>infer_objects=True
convert_string=True
convert_integer=True
convert_boolean=True
convert_floating=True
dtype_backend=’numpy_nullable’</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.corr">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">corr</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#corr"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.corr" title="Link to this definition">¶</a></dt>
<dd><p>Compute pairwise correlation of columns, excluding NA/null values.</p>
<p>## Parameters</p>
<dl class="simple">
<dt></dt><dd><p>method=[‘pearson’|’kendall’|’spearman’]
min_periods=1
numeric_only=False</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.describe">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">describe</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#describe"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.describe" title="Link to this definition">¶</a></dt>
<dd><p>Generate descriptive statistics.</p>
<p>Descriptive statistics include those that summarize the central tendency,
dispersion and shape of a dataset’s distribution, excluding NaN values.</p>
<p>Analyzes both numeric and object series, as well as DataFrame column sets
of mixed data types. The output will vary depending on what is provided.
Refer to the notes below for more detail.</p>
<p>## Parameters</p>
<blockquote>
<div><p>percentiles=None</p>
<blockquote>
<div><p>The percentiles to include in the output. All should fall between 0
and 1. The default is [.25, .5, .75], which returns the 25th, 50th,
and 75th percentiles.</p>
</div></blockquote>
<p>include=None</p>
<p>exclude=None</p>
</div></blockquote>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.drop">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">drop</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#drop"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.drop" title="Link to this definition">¶</a></dt>
<dd><p>Drop specified labels from rows or columns.</p>
<p>Remove rows or columns by specifying label names and corresponding axis, or
by directly specifying index or column names. When using a multi-index,
labels on different levels can be removed by specifying the level. See the
user guide for more information about the now unused levels.</p>
<p>## Parameters</p>
<dl class="simple">
<dt></dt><dd><p>axis=0
index
columns
level=None
errors=[‘raise’|’ignore’]</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.dtypes">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">dtypes</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#dtypes"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.dtypes" title="Link to this definition">¶</a></dt>
<dd><p>Return the dtypes in the DataFrame.</p>
<p>This returns a Series with the data type of each column. The result’s index
is the original DataFrame’s columns. Columns with mixed types are stored
with the object dtype. See the User Guide for more.</p>
<p>## Parameters</p>
<p>None</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.empty">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">empty</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#empty"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.empty" title="Link to this definition">¶</a></dt>
<dd><p>Indicator whether Series/DataFrame is empty.</p>
<p>True if Series/DataFrame is entirely empty (no items), meaning any of the
axes are of length 0.</p>
<p>## Parameters</p>
<p>None</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.eval">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">eval</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">expression</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#eval"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.eval" title="Link to this definition">¶</a></dt>
<dd><p>Evaluate a string describing operations on DataFrame columns.</p>
<p>Operates on columns only, not specific rows or elements. This allows eval
to run arbitrary code, which can make you vulnerable to code injection if
you pass user input to this function.</p>
<p>## Parameters</p>
<p>None</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.get">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">get</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">key</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#get"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.get" title="Link to this definition">¶</a></dt>
<dd><p>Get item from object for given key (ex: DataFrame column).</p>
<p>Keys provided through the “–key” option are always treated as strings.
Keys provided through the “–params” option are duck-typed. The final set
of keys is the combination of keys provided through these two options as
if all ‘–keys’ options were provided first, then all “–params” options,
regardless of the order in which these appear on the command line.</p>
<p><em>Note</em>: The relative order of labels provided by the “–keys” and
“–params” options are respected.</p>
<p>Example:</p>
<dl class="simple">
<dt></dt><dd><p>pd … get -k k1 -k k2 -p “key=[‘p1’, ‘p2’]” -k k3</p>
</dd>
</dl>
<p>will produce a table,</p>
<dl>
<dt></dt><dd><table class="docutils align-default">
<tbody>
<tr class="row-odd"><td></td>
<td><p>k1</p></td>
<td><p>k2</p></td>
<td><p>k3</p></td>
<td><p>p1</p></td>
<td><p>p2</p></td>
</tr>
<tr class="row-even"><td><p>0</p></td>
<td colspan="5"><p>&lt;table values here&gt;</p></td>
</tr>
</tbody>
</table>
</dd>
</dl>
<p>## Parameters</p>
<dl class="simple">
<dt></dt><dd><p>key
default=None</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.groupby">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">groupby</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">func</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#groupby"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.groupby" title="Link to this definition">¶</a></dt>
<dd><p>Group DataFrame using a mapper or by a Series of columns.</p>
<p>A groupby operation involves some combination of splitting the object,
applying a function, and combining the results. This can be used to group
large amounts of data and compute operations on these groups.</p>
<p>The ‘-f/–func’ option sets the reduction to apply to group.</p>
<p>## Parameters</p>
<dl class="simple">
<dt></dt><dd><p>by=None
axis=_NoDefault.no_default
level=None
as_index=True
sort=True
group_keys=True
observed=_NoDefault.no_default
dropna=True)[source]</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.head">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">head</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">num</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#head"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.head" title="Link to this definition">¶</a></dt>
<dd><p>Return the first n rows.</p>
<p>This function returns the first n rows for the object based on position.
It is useful for quickly testing if your object has the right type of data
in it.</p>
<p>For negative values of n, this function returns all rows except the last
<a href="#id7"><span class="problematic" id="id8">|n|</span></a> rows, equivalent to df[:n].</p>
<p>If n is larger than the number of rows, this function returns all rows.</p>
<p>## Parameters</p>
<p>None</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.idxmax">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">idxmax</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#idxmax"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.idxmax" title="Link to this definition">¶</a></dt>
<dd><p>Return index of first occurrence of maximum over requested axis.</p>
<p>NA/null values are excluded.</p>
<p>## Parameters</p>
<dl class="simple">
<dt></dt><dd><p>axis=0
skipna=True
numeric_only=False</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.idxmin">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">idxmin</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#idxmin"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.idxmin" title="Link to this definition">¶</a></dt>
<dd><p>Return index of first occurrence of minimum over requested axis.</p>
<p>NA/null values are excluded.</p>
<p>## Parameters</p>
<dl class="simple">
<dt></dt><dd><p>axis=0
skipna=True
numeric_only=False</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.index">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">index</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#index"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.index" title="Link to this definition">¶</a></dt>
<dd><p>The index (row labels) of the DataFrame.</p>
<p>The index of a DataFrame is a series of labels that identify each row. The
labels can be integers, strings, or any other hashable type. The index is
used for label-based access and alignment, and can be accessed or modified
using this attribute.</p>
<p>## Parameters</p>
<p>None</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.infer_objects">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">infer_objects</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#infer_objects"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.infer_objects" title="Link to this definition">¶</a></dt>
<dd><p>Attempt to infer better dtypes for object columns.</p>
<p>Attempts soft conversion of object-dtyped columns, leaving non-object and
unconvertible columns unchanged. The inference rules are the same as during
normal Series/DataFrame construction.</p>
<p>## Parameters</p>
<p>None</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.info">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">info</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#info"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.info" title="Link to this definition">¶</a></dt>
<dd><p>Print a concise summary of a DataFrame.</p>
<p>This method prints information about a DataFrame including the index dtype
and columns, non-null values and memory usage.</p>
<p>## Parameters</p>
<dl class="simple">
<dt></dt><dd><p>verbose=None
buf=None
max_cols=None
memory_usage=None
show_counts=None</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.memory_usage">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">memory_usage</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#memory_usage"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.memory_usage" title="Link to this definition">¶</a></dt>
<dd><p>Return the memory usage of each column in bytes.</p>
<p>The memory usage can optionally include the contribution of the index and
elements of object dtype.</p>
<p>This value is displayed in DataFrame.info by default. This can be
suppressed by setting pandas.options.display.memory_usage to False.</p>
<p># Parameters</p>
<dl class="simple">
<dt></dt><dd><p>index=True
deep=False</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.query">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">query</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">expression</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#query"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.query" title="Link to this definition">¶</a></dt>
<dd><p>Query the columns of a DataFrame with a boolean expression.</p>
<p>## Parameters</p>
<p>None</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.reduce">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">reduce</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">func</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">flat</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#reduce"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.reduce" title="Link to this definition">¶</a></dt>
<dd><p>Apply a reduction function to a DataFrame.</p>
<p>If parameters are specified for one function, then they must either be
specified for all functions or the first set of parameters specified will
be used for each and all other parameters (or lack thereof) will be
ignored.</p>
<p>## Parameters</p>
<p>These functions are documented in the pandas documentation,
<a class="reference external" href="https://pandas.pydata.org/docs/reference/frame.html">https://pandas.pydata.org/docs/reference/frame.html</a>.</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.rename">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">rename</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#rename"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.rename" title="Link to this definition">¶</a></dt>
<dd><p>Rename columns or index labels.</p>
<p>Function / dict values must be unique (1-to-1). Labels not contained in a
dict / Series will be left as-is. Extra labels listed don’t throw an error.</p>
<p>See the user guide (<a class="reference external" href="https://pandas.pydata.org/docs/user_guide/basics.html#basics-rename">https://pandas.pydata.org/docs/user_guide/basics.html#basics-rename</a>)
for more.</p>
<p>## Parameters</p>
<dl class="simple">
<dt></dt><dd><p>mapper=dict
index=None
columns=None
axis=None
copy=None
inplace=False
level=None
errors=’ignore’</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.reset_index">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">reset_index</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#reset_index"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.reset_index" title="Link to this definition">¶</a></dt>
<dd><p>Reset the index, or a level of it.</p>
<p>Reset the index of the DataFrame, and use the default one instead. If the
DataFrame has a MultiIndex, this method can remove one or more levels.</p>
<p>## Parameters</p>
<dl class="simple">
<dt></dt><dd><p>level=None
drop=False
col_level=0
col_fill=’’
allow_duplicates=_NoDefault.no_default
names=None</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.shape">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">shape</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#shape"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.shape" title="Link to this definition">¶</a></dt>
<dd><p>Return a tuple representing the dimensionality of the DataFrame.</p>
<p>## Parameters</p>
<p>None</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.size">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">size</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#size"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.size" title="Link to this definition">¶</a></dt>
<dd><p>Return an int representing the number of elements in this object.</p>
<p>Return the number of rows if Series. Otherwise return the number of rows
times number of columns if DataFrame.</p>
<p>## Parameters</p>
<p>None</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.sort">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">sort</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#sort"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.sort" title="Link to this definition">¶</a></dt>
<dd><p>Sort by values along either axis.</p>
<p>## Parameters</p>
<dl class="simple">
<dt></dt><dd><p>axis=0
ascending=True
kind=’quicksort’
na_position=’last’
ignore_index=False</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.sort_index">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">sort_index</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#sort_index"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.sort_index" title="Link to this definition">¶</a></dt>
<dd><p>Sort a DataFrame by index.</p>
<p>## Parameters</p>
<dl class="simple">
<dt></dt><dd><p>axis=0
level=None
ascending=True
kind=’quicksort’
na_position=’last’
sort_remaining=True
ignore_index=False</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.stack">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">stack</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#stack"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.stack" title="Link to this definition">¶</a></dt>
<dd><p>Stack the prescribed level(s) from columns to index.</p>
<p>Return a reshaped DataFrame or Series having a multi-level index with one
or more new inner-most levels compared to the current DataFrame. The new
inner-most levels are created by pivoting the columns of the current
dataframe:</p>
<ul class="simple">
<li><p>if the columns have a single level, the output is a Series;</p></li>
<li><p>if the columns have multiple levels, the new index level(s) is (are)
taken from the prescribed level(s) and the output is a DataFrame.</p></li>
</ul>
<p>## Parameters</p>
<dl class="simple">
<dt></dt><dd><p>level=-1
dropna=_NoDefault.no_default
sort=_NoDefault.no_default
future_stack=False</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.tabular">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">tabular</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">format</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#tabular"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.tabular" title="Link to this definition">¶</a></dt>
<dd><p>Print a DataFrame to the stdout.</p>
<p>## Paramters</p>
<dl class="simple">
<dt></dt><dd><p>headers=[list of column headers|”firstrow”|”keys”]
floatfmt=’g’
intfmt=’’
numalign=’default’
stralign=’default’
missingval=’’
showindex=’default’
disable_numparse=False
colalign=None
maxcolwidths=None
rowalign=None
maxheadercolwidths=None</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.tail">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">tail</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">num</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#tail"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.tail" title="Link to this definition">¶</a></dt>
<dd><p>Return the last n rows equivalent to df[<a href="#id9"><span class="problematic" id="id10">|n|</span></a>:].</p>
<p>This function returns the last n rows for the object based on position.
It is useful for quickly testing if your object has the right type of data
in it.</p>
<p>## Parameters</p>
<p>None</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.transpose">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">transpose</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#transpose"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.transpose" title="Link to this definition">¶</a></dt>
<dd><p>Returns the transpose of the DataFrame.</p>
<p>## Parameters</p>
<p>None</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.unstack">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">unstack</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#unstack"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.unstack" title="Link to this definition">¶</a></dt>
<dd><p>Pivot a level of the (necessarily hierarchical) index labels.</p>
<p>Returns a DataFrame having a new level of column labels whose inner-most
level consists of the pivoted index labels.</p>
<p>If the index is not a MultiIndex, the output will be a Series (the analogue
of stack when the columns are not a MultiIndex).</p>
<p>## Parameters</p>
<dl class="simple">
<dt></dt><dd><p>level=-1
fill_value=None
sort=True</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.dataframe.xs">
<span class="sig-prename descclassname"><span class="pre">src.dataframe.</span></span><span class="sig-name descname"><span class="pre">xs</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">key</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/dataframe.html#xs"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.dataframe.xs" title="Link to this definition">¶</a></dt>
<dd><p>Return cross-section from the Series/DataFrame.</p>
<p>This method takes a key argument to select data at a particular level of a
MultiIndex.</p>
<p>## Parameters</p>
<dl class="simple">
<dt></dt><dd><p>axis=0
level=[int|list-like]
drop_level=True</p>
</dd>
</dl>
</dd></dl>

</section>
<section id="module-src.general">
<span id="src-general-module"></span><h2>src.general module<a class="headerlink" href="#module-src.general" title="Link to this heading">¶</a></h2>
<dl class="py function">
<dt class="sig sig-object py" id="src.general.concat">
<span class="sig-prename descclassname"><span class="pre">src.general.</span></span><span class="sig-name descname"><span class="pre">concat</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/general.html#concat"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.general.concat" title="Link to this definition">¶</a></dt>
<dd><p>Concatenate pandas objects along a particular axis.</p>
<p>Allows optional set logic along the other axes.</p>
<p>Can also add a layer of hierarchical indexing on the concatenation axis,
which may be useful if the labels are the same (or overlapping) on the
passed axis number.</p>
<p>## Parameters</p>
<dl class="simple">
<dt></dt><dd><p>axis=0
join=’outer’
ignore_index=False
keys=None
levels=None
names=None
verify_integrity=False
sort=False</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.general.join">
<span class="sig-prename descclassname"><span class="pre">src.general.</span></span><span class="sig-name descname"><span class="pre">join</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/general.html#join"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.general.join" title="Link to this definition">¶</a></dt>
<dd><p>Join columns of another DataFrame.</p>
<p>See also: <cite>merge</cite>. This function (join) is more efficient at combining
multiple dataframes.</p>
<p>Join columns with other DataFrame either on index or on a key column.
Efficiently join multiple DataFrame objects by index at once by passing a
list.</p>
<p>## Parameters</p>
<dl class="simple">
<dt></dt><dd><p>on: label or list
how=[‘left’, ‘right’, ‘outer’, ‘inner’, ‘cross’]. Default:’left’
lsuffix=’’
rsuffix=’’
sort=False
validate: [“1:1”, “1:m”, “m:1”, “m:m”]. Default: None.</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.general.melt">
<span class="sig-prename descclassname"><span class="pre">src.general.</span></span><span class="sig-name descname"><span class="pre">melt</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/general.html#melt"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.general.melt" title="Link to this definition">¶</a></dt>
<dd><p>Unpivot a DataFrame from wide to long format, optionally leaving
identifiers set.</p>
<p>This function is useful to massage a DataFrame into a format where one or
more columns are identifier variables (id_vars), while all other columns,
considered measured variables (value_vars), are “unpivoted” to the row
axis, leaving just two non-identifier columns, ‘variable’ and ‘value’.</p>
<p>## Parameters</p>
<dl class="simple">
<dt></dt><dd><p>id_vars=None
value_vars=None
var_name=None
value_name=’value’
col_level=None
ignore_index=True</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.general.merge">
<span class="sig-prename descclassname"><span class="pre">src.general.</span></span><span class="sig-name descname"><span class="pre">merge</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/general.html#merge"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.general.merge" title="Link to this definition">¶</a></dt>
<dd><p>Merge DataFrame or named Series objects with a database-style join. For
a more efficient merge with multiple dataframes, see <cite>join</cite>.</p>
<p><em>Note: This operation is performed reductively.</em> That is, the first two
dataframes are merged. The resulting dataframe is merged with the third;
that result, merged with the fourth; and so on until all dataframes are
merged.</p>
<p>If this behavior is not desired, for example, if merge criteria different
from that used to merge the first two dataframes is desired when merging
the result with the third, then merge the first two before reading in the
third, e.g.</p>
<dl>
<dt></dt><dd><p><a href="#id1"><span class="problematic" id="id2">``</span></a>`
pd</p>
<blockquote>
<div><p>read -f “one.csv” read -f “two.csv”
merge -p “…”
read -f “three.csv”
merge -p “…”</p>
</div></blockquote>
<p><a href="#id3"><span class="problematic" id="id4">``</span></a><a href="#id5"><span class="problematic" id="id6">`</span></a></p>
</dd>
</dl>
<p>A named Series object is treated as a DataFrame with a single named column.</p>
<p>The join is done on columns or indexes. If joining columns on columns, the
DataFrame indexes will be ignored. Otherwise if joining indexes on indexes
or indexes on a column or columns, the index will be passed on. When
performing a cross merge, no column specifications to merge on are allowed.</p>
<p>## Parameters</p>
<dl class="simple">
<dt></dt><dd><p>how=[‘left’, ‘right’, ‘outer’, ‘inner’, ‘cross’]. Default:’inner’
on: label or list
left_on: label or list
right_on: label or list
left_index=False
right_index=False
sort=False
suffixes=(‘_x’, ‘_y’)
copy: bool. Default: True.
indicator=False,
validate: [“1:1”, “1:m”, “m:1”, “m:m”]. Default: None.</p>
</dd>
</dl>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.general.pivot">
<span class="sig-prename descclassname"><span class="pre">src.general.</span></span><span class="sig-name descname"><span class="pre">pivot</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/general.html#pivot"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.general.pivot" title="Link to this definition">¶</a></dt>
<dd><p>Return reshaped DataFrame organized by given index / column values.</p>
<p>Reshape data (produce a “pivot” table) based on column values. Uses unique
values from specified index / columns to form axes of the resulting
DataFrame. This function does not support data aggregation, multiple values
will result in a MultiIndex in the columns. See the User Guide for more on
reshaping.</p>
<p>## Parameters</p>
<dl class="simple">
<dt></dt><dd><p>columns
index=_NoDefault.no_default
values=_NoDefault.no_default</p>
</dd>
</dl>
</dd></dl>

</section>
<section id="module-src.inout">
<span id="src-inout-module"></span><h2>src.inout module<a class="headerlink" href="#module-src.inout" title="Link to this heading">¶</a></h2>
<dl class="py function">
<dt class="sig sig-object py" id="src.inout.read">
<span class="sig-prename descclassname"><span class="pre">src.inout.</span></span><span class="sig-name descname"><span class="pre">read</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">filename</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">format</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/inout.html#read"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.inout.read" title="Link to this definition">¶</a></dt>
<dd><p>Read a pandas DataFrame from a file.</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.inout.to_html">
<span class="sig-prename descclassname"><span class="pre">src.inout.</span></span><span class="sig-name descname"><span class="pre">to_html</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">ofile</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">df</span></span></em>, <em class="sig-param"><span class="o"><span class="pre">**</span></span><span class="n"><span class="pre">kwds</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/inout.html#to_html"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.inout.to_html" title="Link to this definition">¶</a></dt>
<dd><p>Writes the dataframe to an interactive HTML table.</p>
</dd></dl>

<dl class="py function">
<dt class="sig sig-object py" id="src.inout.write">
<span class="sig-prename descclassname"><span class="pre">src.inout.</span></span><span class="sig-name descname"><span class="pre">write</span></span><span class="sig-paren">(</span><em class="sig-param"><span class="n"><span class="pre">dfs</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">filename</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">params</span></span></em>, <em class="sig-param"><span class="n"><span class="pre">format</span></span></em><span class="sig-paren">)</span><a class="reference internal" href="../_modules/src/inout.html#write"><span class="viewcode-link"><span class="pre">[source]</span></span></a><a class="headerlink" href="#src.inout.write" title="Link to this definition">¶</a></dt>
<dd><p>Write a pandas DataFrame to a file.</p>
</dd></dl>

</section>
<section id="module-src">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-src" title="Link to this heading">¶</a></h2>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../index.html">pandas</a></h1>








<h3>Navigation</h3>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../pandas.html">Reference</a></li>
<li class="toctree-l1"><a class="reference internal" href="../license.html">License</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../index.html">Documentation overview</a><ul>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2023, Branden Kappes.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.13</a>
      
      |
      <a href="../_sources/api/src.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>